nxt.db

## Class VersionedEntityDbTable<T>

- java.lang.Object
- - nxt.db.Table
  - - nxt.db.DerivedDbTable
    - - nxt.db.EntityDbTable<T>
      - - nxt.db.VersionedEntityDbTable<T>

-     public abstract class VersionedEntityDbTable<T>
      extends EntityDbTable<T>

- - ### Field Summary

    - ### Fields inherited from class nxt.db.EntityDbTable

      `dbKeyFactory, LATEST`

    - ### Fields inherited from class nxt.db.Table

      `db, schema, schemaTable, table`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VersionedEntityDbTable(java.lang.String schemaTable, DbKey.Factory<T> dbKeyFactory)`
    `protected` | `VersionedEntityDbTable(java.lang.String schemaTable, DbKey.Factory<T> dbKeyFactory, java.lang.String fullTextSearchColumns)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `delete(T t)`
    `boolean` | `delete(T t, boolean keepInCache)`

    - ### Methods inherited from class nxt.db.EntityDbTable

      `checkAvailable, clearCache, createSearchIndex, defaultSort, get, get, get, getAll, getAll, getAll, getAll, getBy, getBy, getCount, getCount, getCount, getManyBy, getManyBy, getManyBy, getManyBy, getManyBy, insert, load, newEntity, popOffTo, save, search, search, trim`

    - ### Methods inherited from class nxt.db.DerivedDbTable

      `isPersistent, rollback, truncate`

    - ### Methods inherited from class nxt.db.Table

      `getConnection, getCount, getRowCount, getSchemaTable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionedEntityDbTable

          protected VersionedEntityDbTable(java.lang.String schemaTable,
                                           DbKey.Factory<T> dbKeyFactory)

    - #### VersionedEntityDbTable

          protected VersionedEntityDbTable(java.lang.String schemaTable,
                                           DbKey.Factory<T> dbKeyFactory,
                                           java.lang.String fullTextSearchColumns)

  - ### Method Detail

    - #### delete

          public final boolean delete(T t)

    - #### delete

          public final boolean delete(T t,
                                      boolean keepInCache)